component: AudioDiagnostics
proto_imports:
  - vehicle/audio_gateway/a2b/diagnostics/audio_gateway_diagnostics.proto

namespace: zoox::audio
faults:
  # Deprecated.
  - id: 1
    name: HardwareStatus
    severity: WARNING
    description: Unable to connect to A2B Controller, try cycling the USB connection
    freeze_frame: AudioGatewayHardwareStatus
    deprecated: true
  # Deprecated.
  - id: 2
    name: Config
    severity: WARNING
    description: Unable to configure A2B Controller
    freeze_frame: AudioGatewayHardwareStatus
    deprecated: true
  - id: 3
    name: A2BHardwareWarn
    severity: WARNING
    description: Unable to connect/configure the A2B Controller. This could be caused by a HW disconnect or improper configuration.
  - id: 4
    name: A2BReadWarn
    severity: WARNING
    description: Unable to read data from A2B controller.

